View Issue Details

IDProjectCategoryView StatusLast Update
0000887OpenFOAM[All Projects] Bugpublic2022-05-18 11:09
Reporteruser677Assigned Towill 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000887: Conservativity Problem of AMI-Interpolation
DescriptionTestcase evaluation has shown conservativity issues for AMI-Interfaces. Interfaces are conservative with respect to their neighbour but loose mass compared to inlet/outlet. Our suspicion is that the matrix-update in the fvPatchField / GAMGInterfaceField does not fullfil conservativity.
Computation of fluxes with the interpolation may be globally conservative but using averaged fluxes together with weights seams to lead to conservativity failure. We think it would be better to use local variables together with the weights to compute the fluxes there instead of using the already averaged fluxes.
Steps To ReproduceIf you need a testcase please send me an email where i can put it. It exceeds the 2MB limit.
TagsAMI

Activities

user677

2013-06-13 09:28

 

WP_000743.jpg (1,101,284 bytes)

will

2022-05-18 11:09

manager   ~0012588

Numerical issues with AMI-based patch couplings have been resolved by the new Non-Conformal Coupled (NCC) development. See the following commit for explanation, and instructions for how to use NCC and convert cases from AMI.

https://github.com/OpenFOAM/OpenFOAM-dev/commit/569fa31d09f98e29d1aaf84d40bb16043f104ec6

Issue History

Date Modified Username Field Change
2013-06-13 09:28 user677 New Issue
2013-06-13 09:28 user677 File Added: WP_000743.jpg
2014-12-29 18:41 wyldckat Tag Attached: AMI
2022-05-18 11:09 will Assigned To => will
2022-05-18 11:09 will Status new => resolved
2022-05-18 11:09 will Resolution open => fixed
2022-05-18 11:09 will Note Added: 0012588